# Uses of Class
org.kapott.hbci.passport.storage.PassportData

Packages that use PassportData
Package
Description
org.kapott.hbci.passport
Passports repräsentieren die HBCI-Sicherheitsmedien, mit denen Zugangsdaten eines Bankkunden verwaltet werden.
org.kapott.hbci.passport.storage
org.kapott.hbci.passport.storage.format
org.kapott.hbci.passport.storage.format.legacy

## Uses of PassportData in org.kapott.hbci.passport

Methods in org.kapott.hbci.passport that return PassportData
Modifier and Type
Method
Description
`protected PassportData`
HBCIPassportRAH10.`getUpdatedData()`
Methods in org.kapott.hbci.passport with parameters of type PassportData
Modifier and Type
Method
Description
`protected void`
HBCIPassportRAH10.`init(PassportData data)`
Constructors in org.kapott.hbci.passport with parameters of type PassportData
Modifier
Constructor
Description
`protected`
`HBCIPassportRAH10(Object initObject, PassportData data)`

## Uses of PassportData in org.kapott.hbci.passport.storage

Methods in org.kapott.hbci.passport.storage that return PassportData
Modifier and Type
Method
Description
`static PassportData`
PassportStorage.`load(HBCIPassport passport, File file)`
Liest die Passportdatei ein.
`static PassportData`
PassportStorage.`load(HBCIPassport passport, InputStream is)`
Liest die Passportdatei ein.
Methods in org.kapott.hbci.passport.storage with parameters of type PassportData
Modifier and Type
Method
Description
`static void`
PassportStorage.`save(HBCIPassport passport, PassportData data, File file)`
Speichert die Passport-Daten.
`static void`
PassportStorage.`save(HBCIPassport passport, PassportData data, OutputStream os)`
Speichert die Passport-Daten.

## Uses of PassportData in org.kapott.hbci.passport.storage.format

Methods in org.kapott.hbci.passport.storage.format that return PassportData
Modifier and Type
Method
Description
`PassportData`
AESFormat.`load(HBCIPassport passport, byte[] data)`
`PassportData`
LegacyFormat.`load(HBCIPassport passport, byte[] data)`
`PassportData`
PassportFormat.`load(HBCIPassport passport, byte[] data)`
Liest die Passport-Datei.
Methods in org.kapott.hbci.passport.storage.format with parameters of type PassportData
Modifier and Type
Method
Description
`byte[]`
AESFormat.`save(HBCIPassport passport, PassportData data)`
`byte[]`
LegacyFormat.`save(HBCIPassport passport, PassportData data)`
`byte[]`
PassportFormat.`save(HBCIPassport passport, PassportData data)`
Speichert die Passport-Daten-

## Uses of PassportData in org.kapott.hbci.passport.storage.format.legacy

Methods in org.kapott.hbci.passport.storage.format.legacy that return PassportData
Modifier and Type
Method
Description
`PassportData`
Converter.`load(InputStream is)`
Laedt die Passport-Daten.
`PassportData`
ConverterAnonymous.`load(InputStream is)`
`PassportData`
ConverterDDV.`load(InputStream is)`
`PassportData`
ConverterPinTan.`load(InputStream is)`
`PassportData`
ConverterRDHNew.`load(InputStream is)`
`PassportData`
ConverterRSA.`load(InputStream is)`
Methods in org.kapott.hbci.passport.storage.format.legacy with parameters of type PassportData
Modifier and Type
Method
Description
`protected abstract void`
AbstractConverterXML.`fill(Document doc, Element root, PassportData data)`
Schreibt die Daten in die XML-Struktur.
`protected void`
ConverterAnonymous.`fill(Document doc, Element root, PassportData data)`
`protected void`
ConverterRDHNew.`fill(Document doc, Element root, PassportData data)`
`void`
AbstractConverterXML.`save(PassportData data, OutputStream os)`
`void`
Converter.`save(PassportData data, OutputStream os)`
Speichert die Passport-Daten.
`void`
ConverterDDV.`save(PassportData data, OutputStream os)`
`void`
ConverterPinTan.`save(PassportData data, OutputStream os)`
`void`
ConverterRSA.`save(PassportData data, OutputStream os)`